<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:30 CEST 2018 -->
<title>MainGame</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MainGame";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MainGame.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/sebi/zuul/logic/IO.html" title="class in ch.sebi.zuul.logic"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/sebi/zuul/logic/MainGame.html" target="_top">Frames</a></li>
<li><a href="MainGame.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.sebi.zuul.logic</div>
<h2 title="Class MainGame" class="title">Class MainGame</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ch.sebi.zuul.logic.MainGame</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">MainGame</span>
extends java.lang.Object</pre>
<div class="block">The class which</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Sebastian Zumbrunn</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/MainGame.html#game">game</a></span></code>
<div class="block">The game instance</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/MainGame.html#running">running</a></span></code>
<div class="block">If the the game is still running</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/MainGame.html#skipInformation">skipInformation</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/MainGame.html#MainGame--">MainGame</a></span>()</code>
<div class="block">constructor<br/>
  it creates a new game instance.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/MainGame.html#areInformationSkipped--">areInformationSkipped</a></span>()</code>
<div class="block">If the information are skipped or not</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/MainGame.html#checkItemsInRoom--">checkItemsInRoom</a></span>()</code>
<div class="block">Checks if there are items in the current room.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/MainGame.html#checkLoosingConditions--">checkLoosingConditions</a></span>()</code>
<div class="block">Checks if the player has lost or not.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/MainGame.html#checkWinningConditions--">checkWinningConditions</a></span>()</code>
<div class="block">Checks if the player has won or not.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/MainGame.html#displayWelcome--">displayWelcome</a></span>()</code>
<div class="block">Displays the welcome message</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/MainGame.html#getGame--">getGame</a></span>()</code>
<div class="block">Returns the game instance</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/MainGame.html#isRunning--">isRunning</a></span>()</code>
<div class="block">Returns if the game is still running
 To stop the game interupt the thread in which it is started</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/MainGame.html#play--">play</a></span>()</code>
<div class="block">Start the main game loop.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/MainGame.html#printRoomWelcome--">printRoomWelcome</a></span>()</code>
<div class="block">Prints informations about the current room</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/MainGame.html#proccessCommand--">proccessCommand</a></span>()</code>
<div class="block">Handels the command processing and prompting the user.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/MainGame.html#setSkipInformation-boolean-">setSkipInformation</a></span>(boolean&nbsp;skipInformation)</code>
<div class="block">Sets if the information about the current room, etc should be skipped</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="game">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>game</h4>
<pre>private&nbsp;<a href="../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a> game</pre>
<div class="block">The game instance</div>
</li>
</ul>
<a name="running">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>running</h4>
<pre>private&nbsp;boolean running</pre>
<div class="block">If the the game is still running</div>
</li>
</ul>
<a name="skipInformation">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>skipInformation</h4>
<pre>private&nbsp;boolean skipInformation</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MainGame--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MainGame</h4>
<pre>public&nbsp;MainGame()</pre>
<div class="block">constructor<br/>
  it creates a new game instance.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="play--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>play</h4>
<pre>public&nbsp;void&nbsp;play()</pre>
<div class="block">Start the main game loop.
 This method blocks until the thread is interrupted</div>
</li>
</ul>
<a name="displayWelcome--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>displayWelcome</h4>
<pre>private&nbsp;void&nbsp;displayWelcome()</pre>
<div class="block">Displays the welcome message</div>
</li>
</ul>
<a name="proccessCommand--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>proccessCommand</h4>
<pre>private&nbsp;void&nbsp;proccessCommand()
                      throws java.io.IOException</pre>
<div class="block">Handels the command processing and prompting the user.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code> - if while reading the input an error with the stream occurred</dd>
</dl>
</li>
</ul>
<a name="printRoomWelcome--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printRoomWelcome</h4>
<pre>private&nbsp;void&nbsp;printRoomWelcome()</pre>
<div class="block">Prints informations about the current room</div>
</li>
</ul>
<a name="checkWinningConditions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkWinningConditions</h4>
<pre>public&nbsp;void&nbsp;checkWinningConditions()</pre>
<div class="block">Checks if the player has won or not. If he won, a message is printed and the game will exit</div>
</li>
</ul>
<a name="checkLoosingConditions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkLoosingConditions</h4>
<pre>public&nbsp;void&nbsp;checkLoosingConditions()</pre>
<div class="block">Checks if the player has lost or not. If he lost, a message is printed and the game will exit</div>
</li>
</ul>
<a name="checkItemsInRoom--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkItemsInRoom</h4>
<pre>public&nbsp;void&nbsp;checkItemsInRoom()</pre>
<div class="block">Checks if there are items in the current room.
 If there are items, it will dipslay a list with all items in the current room to the user</div>
</li>
</ul>
<a name="getGame--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGame</h4>
<pre>public&nbsp;<a href="../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;getGame()</pre>
<div class="block">Returns the game instance</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the game instance</dd>
</dl>
</li>
</ul>
<a name="isRunning--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRunning</h4>
<pre>public&nbsp;boolean&nbsp;isRunning()</pre>
<div class="block">Returns if the game is still running
 To stop the game interupt the thread in which it is started</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>if the game is still running or not</dd>
</dl>
</li>
</ul>
<a name="areInformationSkipped--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>areInformationSkipped</h4>
<pre>public&nbsp;boolean&nbsp;areInformationSkipped()</pre>
<div class="block">If the information are skipped or not</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>if the information are shown or not</dd>
</dl>
</li>
</ul>
<a name="setSkipInformation-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setSkipInformation</h4>
<pre>public&nbsp;void&nbsp;setSkipInformation(boolean&nbsp;skipInformation)</pre>
<div class="block">Sets if the information about the current room, etc should be skipped</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>skipInformation</code> - if the information are shown to the player or not</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MainGame.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/sebi/zuul/logic/IO.html" title="class in ch.sebi.zuul.logic"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/sebi/zuul/logic/MainGame.html" target="_top">Frames</a></li>
<li><a href="MainGame.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
